QColorDrag(3qt)

NAME
QColorDrag - Drag-and-drop object for transferring colors

#include <qdragobject.h>

Inherits QStoredDrag.

  Public Members
QColorDrag ( const QColor & col, QWidget * dragsource = 0, const char * name = 0 )
QColorDrag ( QWidget * dragSource = 0, const char * name = 0 )
void setColor ( const QColor & col )

  Static Public Members
bool canDecode ( QMimeSource * )
bool decode ( QMimeSource *, QColor & col )

DESCRIPTION
The QColorDrag class provides a drag-and-drop object for transferring colors.

This class provides a drag object which can be used to transfer data about colors for drag-and-drop and over the clipboard. It's e.g. used in the QColorDialog.

For detailed information about drag-and-drop, see the QDragObject class.

MEMBER FUNCTION DOCUMENTATION

QColorDrag::QColorDrag ( QWidget * dragsource = 0, const char * name = 0 )
Constructs a color drag with a while color.

QColorDrag::QColorDrag ( const QColor & col, QWidget * dragsource = 0, const char * name = 0 )
Constructs a color drag with the color col.

bool QColorDrag::canDecode ( QMimeSource * e ) [static]
Returns TRUE, if the color drag object can decode the mime source e.

bool QColorDrag::decode ( QMimeSource * e, QColor & col ) [static]
Decodes the mime source e and sets the decoded values to col.

void QColorDrag::setColor ( const QColor & col )
Sets the color of the color drag to col

SEE ALSO
http://doc.trolltech.com/qcolordrag.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qcolordrag.3) and the Qt version (2.3.2).